| Tilt Five NDK |

Data Fields
T5_CamImage Struct Reference
Tilt Five™ Common Types

Camera Frame information to be retrieved with t5GetFilledCamImageBuffer() More...

`#include <types.h>`

Collaboration diagram for T5_CamImage:
[legend]

## Data Fields
uint16_t | imageWidth
| The width of the image in the image buffer. Empty buffers should set these parameters to 0. More...
uint16_t | imageHeight
| The height of the image in the image buffer. Empty buffers should set these parameters to 0. More...
uint16_t | imageStride
| The stride of the image in the image buffer. Empty buffers should set these parameters to 0. More...
uint8_t | cameraIndex
| The index of the desired camera. 0 for tangible tracking camera, 1 for head tracking camera. More...
uint8_t | illuminationMode
| The illumination mode for incoming frames. 0 for unknown frame. 1 for Light frames. 2 for dark frame. More...
uint32_t | bufferSize
| The total size of the provided image buffer. Must be at least T5_MIN_CAM_IMAGE_BUFFER_WIDTH * T5_MIN_CAM_IMAGE_BUFFER_HEIGHT. More...
uint8_t * | pixelData
| The image buffer being filled by the Tilt Five service. More...
T5_Vec3 | posCAM_GBD
| The position of the camera relative to the GBD. More...
T5_Quat | rotToCAM_GBD
| The rotation of the camera relative to the GBD. More...

## Detailed Description

Camera Frame information to be retrieved with t5GetFilledCamImageBuffer()

Definition at line 276 of file types.h.

## Field Documentation

## ◆ bufferSize

uint32_t T5_CamImage::bufferSize

The total size of the provided image buffer. Must be at least T5_MIN_CAM_IMAGE_BUFFER_WIDTH * T5_MIN_CAM_IMAGE_BUFFER_HEIGHT.

Definition at line 299 of file types.h.

## ◆ cameraIndex

uint8_t T5_CamImage::cameraIndex

The index of the desired camera. 0 for tangible tracking camera, 1 for head tracking camera.

Definition at line 291 of file types.h.

## ◆ illuminationMode

uint8_t T5_CamImage::illuminationMode

The illumination mode for incoming frames. 0 for unknown frame. 1 for Light frames. 2 for dark frame.

Definition at line 295 of file types.h.

## ◆ imageHeight

uint16_t T5_CamImage::imageHeight

The height of the image in the image buffer. Empty buffers should set these parameters to 0.

Definition at line 283 of file types.h.

## ◆ imageStride

uint16_t T5_CamImage::imageStride

The stride of the image in the image buffer. Empty buffers should set these parameters to 0.

Definition at line 287 of file types.h.

## ◆ imageWidth

uint16_t T5_CamImage::imageWidth

The width of the image in the image buffer. Empty buffers should set these parameters to 0.

Definition at line 279 of file types.h.

## ◆ pixelData

uint8_t* T5_CamImage::pixelData

The image buffer being filled by the Tilt Five service.

Definition at line 302 of file types.h.

## ◆ posCAM_GBD

T5_Vec3 T5_CamImage::posCAM_GBD

The position of the camera relative to the GBD.

Definition at line 305 of file types.h.

## ◆ rotToCAM_GBD

T5_Quat T5_CamImage::rotToCAM_GBD

The rotation of the camera relative to the GBD.

Definition at line 308 of file types.h.

The documentation for this struct was generated from the following file:

- types.h